aboutsummaryrefslogtreecommitdiffstats
path: root/main/libgudev/APKBUILD
diff options
context:
space:
mode:
authorNatanael Copa <ncopa@alpinelinux.org>2016-04-29 13:20:08 +0000
committerNatanael Copa <ncopa@alpinelinux.org>2016-04-29 13:20:08 +0000
commit85d466394c90c4ec9f35793492b06c48c20d9b0f (patch)
tree4ad7d798d0c869e0be537b15c516ac4e022c2479 /main/libgudev/APKBUILD
parent151bcffa872e0b24d2b8ef506691dae922f5037d (diff)
downloadaports-85d466394c90c4ec9f35793492b06c48c20d9b0f.tar.gz
aports-85d466394c90c4ec9f35793492b06c48c20d9b0f.tar.bz2
aports-85d466394c90c4ec9f35793492b06c48c20d9b0f.tar.xz
main/libgudev: new aport
libgudev moved out from eudev to a separate project
Diffstat (limited to 'main/libgudev/APKBUILD')
-rw-r--r--main/libgudev/APKBUILD37
1 files changed, 37 insertions, 0 deletions
diff --git a/main/libgudev/APKBUILD b/main/libgudev/APKBUILD
new file mode 100644
index 0000000000..000fc600c5
--- /dev/null
+++ b/main/libgudev/APKBUILD
@@ -0,0 +1,37 @@
+# Maintainer: Natanael Copa <ncopa@alpinelinux.org>
+pkgname=libgudev
+pkgver=230
+pkgrel=0
+pkgdesc="GObject-based wrapper library for libudev"
+url="https://wiki.gnome.org/Projects/libgudev"
+arch="all"
+license="LGPLv2+"
+depends=""
+depends_dev=""
+makedepends="glib-dev gobject-introspection-dev eudev-dev"
+install=""
+subpackages="$pkgname-dev"
+source="https://download.gnome.org/sources/libgudev/$pkgver/libgudev-$pkgver.tar.xz"
+
+builddir="$srcdir"/libgudev-$pkgver
+build() {
+ cd "$builddir"
+ ./configure \
+ --build=$CBUILD \
+ --host=$CHOST \
+ --prefix=/usr \
+ --sysconfdir=/etc \
+ --mandir=/usr/share/man \
+ --localstatedir=/var \
+ || return 1
+ make || return 1
+}
+
+package() {
+ cd "$builddir"
+ make DESTDIR="$pkgdir" install || return 1
+}
+
+md5sums="e4dee8f3f349e9372213d33887819a4d libgudev-230.tar.xz"
+sha256sums="a2e77faced0c66d7498403adefcc0707105e03db71a2b2abd620025b86347c18 libgudev-230.tar.xz"
+sha512sums="682e08f1a406bd323a59268d9d2fde9efd015a7e0cd5958c5c4e0bc94b593d071a9b824c8b9dfc104c93e555342b1a74a63da91834e10558a9646c9195ef6fbd libgudev-230.tar.xz"